Bug 1439290 - Azure metrics collection failing with "MonitoringServiceException"
Summary: Azure metrics collection failing with "MonitoringServiceException"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Daniel Berger
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u:azure
Depends On: 1436393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 15:31 UTC by Satoe Imaishi
Modified: 2017-05-31 14:47 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436393
Environment:
Last Closed: 2017-05-31 14:47:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-05 23:23:07 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/c4f37db9c148c0f541c7865d24aaa480633c0f38

commit c4f37db9c148c0f541c7865d24aaa480633c0f38
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Tue Apr 4 15:04:13 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 5 19:18:31 2017 -0400

    Merge pull request #44 from djberg96/metrics_timeout
    
    Warn and bail on timeout when collecting metrics
    (cherry picked from commit 40249eb36cb5995e601723565d4ce60b0bace78a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439290

 app/models/manageiq/providers/azure/cloud_manager/metrics_capture.rb | 3 +++
 1 file changed, 3 insertions(+)

Comment 5 Nandini Chandra 2017-05-02 18:36:41 UTC
I have verified that the code changes are present.So, marking the BZ as VERIFIED.

Verified in 5.8.0.12

Comment 7 errata-xmlrpc 2017-05-31 14:47:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.